# Specification

## Overview

color-picker-panel is a sub-component of the Salesforce Lightning Design System Color Picker.

This specification is an extension in part of [SLDS Color Picker Specification](https://www.lightningdesignsystem.com/components/color-picker/)

[Lightning Web Component - Color Input](https://developer.salesforce.com/docs/component-library/bundle/lightning-input/example)

---

## API

## Anatomy and Appearance

### DOM Structure

```html
<host>
    <section>
        <div>
            <slds-color-picker-custom></slds-color-picker-custom>
        </div>
        <footer>
            <div>
                <slds-button></slds-button>
                <slds-button></slds-button>
            </div>
        </footer>
    </section>
</host>
```


## Accessibility

[SLDS Color Picker - Accessibility &rarr;](https://www.lightningdesignsystem.com/components/color-picker/#Implementation-Guidelines)

## Test Plan

- All componenets should have unit tests to ensure the correct button variants are present

